package main

import (
	"time"

	"git.nspix.com/golang/rest/v2"
	"gorm.io/driver/mysql"
	"gorm.io/gorm"
)

type User struct {
	Id   int
	Name string
}

func (u *User) ModuleName() string {
	return "org"
}

func (u *User) TableName() string {
	return "user"
}

func (u *User) Scenario() []string {
	return nil
}

func main() {
	var (
		db   *gorm.DB
		crud *rest.CRUD
		err  error
	)
	dsn := "root:root@tcp(sv2:43699)/rest?charset=utf8mb4&parseTime=True&loc=Local"
	if db, err = gorm.Open(mysql.Open(dsn), &gorm.Config{}); err != nil {
		return
	}
	if crud, err = rest.NewCRUD(db, nil); err != nil {
		return
	}
	crud.Attach(&User{})
	crud.Routes(nil)

	time.Sleep(time.Second * 5)
}
